WP42MultiByteFunctionGroup Class Reference documentation

WP42MultiByteFunctionGroup Class Referenceabstract

`#include <WP42MultiByteFunctionGroup.h>`

Inheritance diagram for WP42MultiByteFunctionGroup:

## Public Member Functions
| WP42MultiByteFunctionGroup (unsigned char group)
| ~WP42MultiByteFunctionGroup () override
Public Member Functions inherited from WP42Part
virtual | ~WP42Part ()
virtual void | parse (WP42Listener *listener)=0

## Static Public Member Functions
static WP42MultiByteFunctionGroup * | constructMultiByteFunctionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP42Part
static WP42Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)

## Protected Member Functions
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)=0
unsigned char | getGroup () const

## Private Attributes
unsigned char | m_group

## Constructor & Destructor Documentation

## ◆ WP42MultiByteFunctionGroup()

WP42MultiByteFunctionGroup::WP42MultiByteFunctionGroup | ( | unsigned char | group | ) |

Referenced by constructMultiByteFunctionGroup(), WP42DefineColumnsGroup::WP42DefineColumnsGroup(), WP42ExtendedCharacterGroup::WP42ExtendedCharacterGroup(), WP42HeaderFooterGroup::WP42HeaderFooterGroup(), WP42MarginResetGroup::WP42MarginResetGroup(), WP42SuppressPageCharacteristicsGroup::WP42SuppressPageCharacteristicsGroup(), and WP42UnsupportedMultiByteFunctionGroup::WP42UnsupportedMultiByteFunctionGroup().

## ◆ ~WP42MultiByteFunctionGroup()

WP42MultiByteFunctionGroup::~WP42MultiByteFunctionGroup | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ _read()

void WP42MultiByteFunctionGroup::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| protected

Referenced by WP42DefineColumnsGroup::WP42DefineColumnsGroup(), WP42ExtendedCharacterGroup::WP42ExtendedCharacterGroup(), WP42HeaderFooterGroup::WP42HeaderFooterGroup(), WP42MarginResetGroup::WP42MarginResetGroup(), WP42SuppressPageCharacteristicsGroup::WP42SuppressPageCharacteristicsGroup(), and WP42UnsupportedMultiByteFunctionGroup::WP42UnsupportedMultiByteFunctionGroup().

## ◆ _readContents()

virtual void WP42MultiByteFunctionGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| protectedpure virtual

Implemented in WP42DefineColumnsGroup, WP42ExtendedCharacterGroup, WP42HeaderFooterGroup, WP42MarginResetGroup, WP42SuppressPageCharacteristicsGroup, and WP42UnsupportedMultiByteFunctionGroup.

Referenced by _read().

## ◆ constructMultiByteFunctionGroup()

WP42MultiByteFunctionGroup * WP42MultiByteFunctionGroup::constructMultiByteFunctionGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )
| static

Referenced by WP42Part::constructPart().

## ◆ getGroup()

unsigned char WP42MultiByteFunctionGroup::getGroup | ( |  | ) | const
| inlineprotected

## Member Data Documentation

## ◆ m_group

unsigned char WP42MultiByteFunctionGroup::m_group
| private

Referenced by _read(), getGroup(), and WP42MultiByteFunctionGroup().

The documentation for this class was generated from the following files:

- WP42MultiByteFunctionGroup.h
- WP42MultiByteFunctionGroup.cpp